| OpenCV 3.4.3 Open Source Computer Vision

Public Member Functions | List of all members
cv::ximgproc::segmentation::SelectiveSearchSegmentation Class Referenceabstract
Extended Image Processing » Image segmentation

Selective search segmentation algorithm The class implements the algorithm described in [191]. More...

`#include "segmentation.hpp"`

Inheritance diagram for cv::ximgproc::segmentation::SelectiveSearchSegmentation:

## Public Member Functions
virtual void | addGraphSegmentation (Ptr< GraphSegmentation > g)=0
| Add a new graph segmentation in the list of graph segementations to process. More...
virtual void | addImage (InputArray img)=0
| Add a new image in the list of images to process. More...
virtual void | addStrategy (Ptr< SelectiveSearchSegmentationStrategy > s)=0
| Add a new strategy in the list of strategy to process. More...
virtual void | clearGraphSegmentations ()=0
| Clear the list of graph segmentations to process;. More...
virtual void | clearImages ()=0
| Clear the list of images to process. More...
virtual void | clearStrategies ()=0
| Clear the list of strategy to process;. More...
virtual void | process (std::vector< Rect > &rects)=0
| Based on all images, graph segmentations and stragies, computes all possible rects and return them. More...
virtual void | setBaseImage (InputArray img)=0
| Set a image used by switch* functions to initialize the class. More...
virtual void | switchToSelectiveSearchFast (int base_k=150, int inc_k=150, float sigma=0.8f)=0
| Initialize the class with the 'Selective search fast' parameters describled in [191]. More...
virtual void | switchToSelectiveSearchQuality (int base_k=150, int inc_k=150, float sigma=0.8f)=0
| Initialize the class with the 'Selective search fast' parameters describled in [191]. More...
virtual void | switchToSingleStrategy (int k=200, float sigma=0.8f)=0
| Initialize the class with the 'Single stragegy' parameters describled in [191]. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Selective search segmentation algorithm The class implements the algorithm described in [191].

## Member Function Documentation

## § addGraphSegmentation()

virtual void cv::ximgproc::segmentation::SelectiveSearchSegmentation::addGraphSegmentation | ( | Ptr< GraphSegmentation > | g | ) |
| pure virtual

Python:
| None | = | cv.ximgproc_segmentation_SelectiveSearchSegmentation.addGraphSegmentation( | g | )

Add a new graph segmentation in the list of graph segementations to process.

Parameters

  g | The graph segmentation

## § addImage()

virtual void cv::ximgproc::segmentation::SelectiveSearchSegmentation::addImage | ( | InputArray | img | ) |
| pure virtual

Python:
| None | = | cv.ximgproc_segmentation_SelectiveSearchSegmentation.addImage( | img | )

Add a new image in the list of images to process.

Parameters

  img | The image

## § addStrategy()

virtual void cv::ximgproc::segmentation::SelectiveSearchSegmentation::addStrategy | ( | Ptr< SelectiveSearchSegmentationStrategy > | s | ) |
| pure virtual

Python:
| None | = | cv.ximgproc_segmentation_SelectiveSearchSegmentation.addStrategy( | s | )

Add a new strategy in the list of strategy to process.

Parameters

  s | The strategy

## § clearGraphSegmentations()

virtual void cv::ximgproc::segmentation::SelectiveSearchSegmentation::clearGraphSegmentations | ( |  | ) |
| pure virtual

Python:
| None | = | cv.ximgproc_segmentation_SelectiveSearchSegmentation.clearGraphSegmentations( |  | )

Clear the list of graph segmentations to process;.

## § clearImages()

virtual void cv::ximgproc::segmentation::SelectiveSearchSegmentation::clearImages | ( |  | ) |
| pure virtual

Python:
| None | = | cv.ximgproc_segmentation_SelectiveSearchSegmentation.clearImages( |  | )

Clear the list of images to process.

## § clearStrategies()

virtual void cv::ximgproc::segmentation::SelectiveSearchSegmentation::clearStrategies | ( |  | ) |
| pure virtual

Python:
| None | = | cv.ximgproc_segmentation_SelectiveSearchSegmentation.clearStrategies( |  | )

Clear the list of strategy to process;.

## § process()

virtual void cv::ximgproc::segmentation::SelectiveSearchSegmentation::process | ( | std::vector< Rect > & | rects | ) |
| pure virtual

Python:
| rects | = | cv.ximgproc_segmentation_SelectiveSearchSegmentation.process( |  | )

Based on all images, graph segmentations and stragies, computes all possible rects and return them.

Parameters

  rects | The list of rects. The first ones are more relevents than the lasts ones.

## § setBaseImage()

virtual void cv::ximgproc::segmentation::SelectiveSearchSegmentation::setBaseImage | ( | InputArray | img | ) |
| pure virtual

Python:
| None | = | cv.ximgproc_segmentation_SelectiveSearchSegmentation.setBaseImage( | img | )

Set a image used by switch* functions to initialize the class.

Parameters

  img | The image

## § switchToSelectiveSearchFast()

virtual void cv::ximgproc::segmentation::SelectiveSearchSegmentation::switchToSelectiveSearchFast | ( | int | base_k = `150`,
|  | int | inc_k = `150`,
|  | float | sigma = `0.8f`
| ) |  |
| pure virtual

Python:
| None | = | cv.ximgproc_segmentation_SelectiveSearchSegmentation.switchToSelectiveSearchFast( | [, base_k[, inc_k[, sigma]]] | )

Initialize the class with the 'Selective search fast' parameters describled in [191].

Parameters

  base_k | The k parameter for the first graph segmentation
  inc_k | The increment of the k parameter for all graph segmentations
  sigma | The sigma parameter for the graph segmentation

## § switchToSelectiveSearchQuality()

virtual void cv::ximgproc::segmentation::SelectiveSearchSegmentation::switchToSelectiveSearchQuality | ( | int | base_k = `150`,
|  | int | inc_k = `150`,
|  | float | sigma = `0.8f`
| ) |  |
| pure virtual

Python:
| None | = | cv.ximgproc_segmentation_SelectiveSearchSegmentation.switchToSelectiveSearchQuality( | [, base_k[, inc_k[, sigma]]] | )

Initialize the class with the 'Selective search fast' parameters describled in [191].

Parameters

  base_k | The k parameter for the first graph segmentation
  inc_k | The increment of the k parameter for all graph segmentations
  sigma | The sigma parameter for the graph segmentation

## § switchToSingleStrategy()

virtual void cv::ximgproc::segmentation::SelectiveSearchSegmentation::switchToSingleStrategy | ( | int | k = `200`,
|  | float | sigma = `0.8f`
| ) |  |
| pure virtual

Python:
| None | = | cv.ximgproc_segmentation_SelectiveSearchSegmentation.switchToSingleStrategy( | [, k[, sigma]] | )

Initialize the class with the 'Single stragegy' parameters describled in [191].

Parameters

  k | The k parameter for the graph segmentation
  sigma | The sigma parameter for the graph segmentation

The documentation for this class was generated from the following file:

- /build/3_4-contrib_docs-lin64/opencv_contrib/modules/ximgproc/include/opencv2/ximgproc/segmentation.hpp